// meeusStuff.cpp

  double T = DateOps::toJulianCenturies(jd);
  double T2 = T*T;

  // mean anomaly of the sun
  double M_r = MathOps::toRadians(357.52911 + 35999.05029*T - 0.0001537*T2);

  // eccentricity of earth's orbit
  double e = 0.016708634 - 0.000042037*T - 0.0000001267*T2;

  // sun's equation of center
  double C_r =
      MathOps::toRadians(
          (1.914602 - 0.004817*T - 0.000014*T2) * sin(M_r) +
          (0.019993 - 0.000101*T) * sin(2*M_r) +
           0.000289 * sin (3*M_r)
      );

  // sun's true anomaly
  double v_r = M_r + C_r;

  // sun's radius vector
  double R = (1.000001018 * (1 - e*e)) / (1 + e * cos(v_r));

  /*
  double dLamda = pd.eclipticLon() - MathOps::toRadians( 1.397*T - 0.00031*T*T );
  double lat = pd.eclipticLat() +
               MathOps::toRadians( 0.03916 * (cos(dLamda) - sin(dLamda)) );
   */
